# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/bognor-regis.git
# git archive --format=tar --prefix=%{name}-%{version}/ %{version} | bzip2 > %{name}-%{version}.tar.bz2
%define tarfile %{name}-%{version}.tar.bz2

Name:          bognor-regis
Version:       0.6.12
Release:       2%{?dist}
Summary:       Media daemon and play queue manager

Group:         Applications/Multimedia
License:       LGPLv2
URL:           http://www.meego.com
Source0:       %{tarfile}
# Fix for libnotify 0.7
Patch0:        br-notify07.patch
# Patch for new version of tracker - not suitable for upstream as
# they likely still have the old one
Patch1:        bognor-regis-0.6.12-tracker_010.patch

BuildRequires: bickley-devel
BuildRequires: dbus-glib-devel
BuildRequires: GConf2-devel
BuildRequires: gupnp-av-devel
BuildRequires: gtk2-devel
BuildRequires: gstreamer-devel
BuildRequires: libnotify-devel
BuildRequires: tracker-devel
BuildRequires: intltool
BuildRequires: gettext

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool

%description
Media daemon and play queue manager

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q
%patch0 -p1 -b .notify07
%patch1 -p1 -b .tracker010

./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
rm -rf %{buildroot}/%{_libdir}/*.la

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING.LIB
%{_libdir}/libbognor-regis-0.6.so.0.0.0
%{_libdir}/libbognor-regis-0.6.so.0
%{_libexecdir}/bognor-regis-daemon
%{_datadir}/dbus-1/services/org.moblin.BognorRegis.service
%{_datadir}/%{name}/

%files devel
%defattr(-,root,root,-)
%{_includedir}/bognor-regis-0.6
%{_libdir}/pkgconfig/bognor-regis-0.6.pc
%{_libdir}/libbognor-regis-0.6.so

%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 20 2011 Adam Williamson <awilliam@redhat.com> - 0.6.12-1
- new 'release' (git tag) 0.6.12
- patch for changed tracker version

* Sun Jan  9 2011 Peter Robinson <pbrobinson@gmail.com> 0.6.11-3
- Rebuild for new tracker

* Wed Dec  1 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.11-2
- Add patch for libnotify07

* Sun Oct 10 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.11-1
- New upstream 0.6.11 release

* Wed Sep  1 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.8-1
- New upstream 0.6.8 release

* Mon Mar  1 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.6-2
- Add new tracker dependency

* Sun Feb 28 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.6-1
- New upstream 0.6.6 release

* Tue Jan  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.6.0-0.1
- Move to a git snapshot of 0.6.0

* Sat Nov 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.2-3
- Add missing build deps

* Fri Nov 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.2-2
- Add new source file

* Fri Nov 13 2009 Peter Robinson <pbrobinson@gmail.com> 0.5.2-1
- New upstream 0.5.2 release

* Wed Oct  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.10-3
- Add upstream patch to fix a crash

* Mon Aug 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.10-2
- Add new GConf2 build requirement

* Mon Aug 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.10-1
- New upstream 0.4.10 release, add translations

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.9-2
- Spec file cleanups

* Fri Jul 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.9-1
- New upstream 0.4.9 release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.8-2
- Add some new dependencies.

* Thu Jul 23 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.8-1
- New upstream 0.4.8 release

* Sat Jul 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.7-1
- New upstream 0.4.7 release

* Sat Jul  4 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.6-1
- New upstream release

* Thu Jun 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.5-2
- Fix license

* Thu Jun 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.4.5-1
- Initial packaging
